< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600a
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600a
-  package formats
  Definition Classes
    v3
-  package retriever
  Definition Classes
    v3
- A1
- A15
- A2
- A20
- A3
- A30
- A35
- A4
- A40
- A45
- A5
- A55
- A55Inverse
- A60
- A60Inverse
- A65
- A65Inverse
- A70
- A70Inverse
- A75
- A80
- LP04
- LPQ01
- LPQ03
- LPQ04
- LPQ07
- LPQ08
- LPQ10
- Loan
- LoansDateRules
- LoansToParticipators
- Repayment
- WriteOff

o

uk.gov.hmrc.ct.ct600a.v3

# LoansToParticipators 

###
Companion class LoansToParticipators

#### object LoansToParticipators extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoansToParticipators
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val MIN_DATE: LocalDate
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  def findLoanIndex(loan: Loan, loansToParticipators: LoansToParticipators): Int
11.  def findOtherRepaymentIndex(loanIndex: Int, repayment: Repayment, loansToParticipators: LoansToParticipators): Int
12.  def findWriteOffIndex(loanIndex: Int, writeOff: WriteOff, loansToParticipators: LoansToParticipators): Int
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def sortLoans(loans: List[Loan]): List[Loan]
20.  def sortOtherRepayments(otherRepayments: List[Repayment]): List[Repayment]
21.  def sortWriteOffs(writeOffs: List[WriteOff]): List[WriteOff]
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped